/* $Header:showfont.c 12.0$ */
/* $ACIS:showfont.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libaed/examples/RCS/showfont.c,v $ */

#ifndef lint
static char *rcsid = "$Header:showfont.c 12.0$";
#endif

#include "stdio.h"
main(argc,argv)
int argc;
char *argv[];
{
	short i,j,k=0;
	if (argc != 2)
	{
		fprintf(stderr,"Syntax: showfont fontfile\n");
		return;
	}
	VI_Init(&i,&j);
	VI_GetFont(argv[1],&i);
	if (i <= 0)
	{
		fprintf(stderr,"Cannot access %s\n",argv[1]);
		return;
	}
	VI_Font(i);
	VI_Tile(1024,800,1,1,&k);
	VI_AMove(0,100);
	VI_String("ABCDEFGHIJKLMNOPQRSTUVWXYZ");
	VI_QPoint(&i,&j);
	VI_AMove(0,j+100);
	VI_String("abcdefghijklmnopqrstuvwxyz");
	VI_QPoint(&i,&j);
	VI_AMove(0,j+100);
	VI_String("1234567890\!\@\#\$\%\^\&\*\(\)\`\~\-\_\=\+\\\|\]\}\[\{\'\"\;\:\/\?\.\>\,\<");
	VI_Term();
}
